new; 
library sgam,optmum,pgraph;

cls;

Nobs = 2000;
mu = 6;
sigma = 1;

x = exp(mu + sigma*rndn(Nobs,1));

proc ml(theta);
  local mu,sigma,logl;

  mu = theta[1];
  sigma = sqrt(theta[2]^2);

  logl = -0.5*ln(sigma^2) - 0.5*((ln(x)-mu)^2)/sigma^2;

  retp(logl);
endp;

proc gmm(theta);
  local mu,sigma,M;

  mu = theta[1];
  sigma = sqrt(theta[2]^2);

  M = zeros(Nobs,2);
  M[.,1] = x - exp(mu+0.5*sigma^2);
  M[.,2] = M[.,1] .* M[.,1] - exp(2*mu+sigma^2)*(exp(sigma^2)-1);

  retp(M);
endp;

// rndseed 123;
sv = 4|0.8;

_reg_PrintIters = 0;
cls;

{theta,stderr,Mcov,Qmin} = regGMM(0,0,&gmm,sv,0,0);

print sv~theta;